/*
   LCD
  
  CodeVisionAVR C Compiler
  (C) 2000-2002 HP InfoTech S.R.L.
  www.hpinfotech.ro
  
  : AT90S8515
   : SMALL
    : 128 
  
   - LCD 2x16, 
    PORTC STK500  :
  [LCD]    [ PORTC STK500]
   1 GND - 9 GND
   2 +5V - 10 VCC
   3 VLC -   LCD  0..1V
   4 RS  - 1 PC0
   5 RD  - 2 PC1
   6 EN  - 3 PC2
   11 D4 - 5 PC4
   12 D5 - 6 PC5
   13 D6 - 7 PC6
   14 D7 - 8 PC7
*/

// LCD    PORTC
//   lcd.h   ..\inc
#asm
  .equ __lcd_port=0x1B ;PORTA
#endasm

//    LCD
#include <lcd.h>

void main(void)
{
  //  LCD 
  // 2   16 
  lcd_init(16);
  
  //     LCD
  lcd_gotoxy(0,1);
  
  //  
  lcd_putsf("Hello world");
  
  //  
  while (1);
}

